package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*订单表状态变更记录
* @author quyixiao
* @since 2025-11-22
*/

@Data
@TableName("vv_trade_order_line_status_log")
public class VvTradeOrderLineStatusLogEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvTradeOrderLineStatusLogEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                        // 修改时间
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";        // 子订单号
    public final static String status_ = CLASS_NAME + "status";                                 // 状态
    public final static String reason_ = CLASS_NAME + "reason";                                 // 原因
    public final static String features_ = CLASS_NAME + "features";                             // 附加信息
    public final static String change_status_user = CLASS_NAME + "change_status_user";          // 改变这个状态的用户
    public final static String change_status_user_id = CLASS_NAME + "change_status_user_id";    // 改变这个状态的用户id
    public final static String trace_id = CLASS_NAME + "trace_id";                              // 日志编号
    public final static String status_desc = CLASS_NAME + "status_desc";                        // 状态描述
    public final static String type_ = CLASS_NAME + "type";                                     // 正向状态变更还是逆向状态变更
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //子订单号
    private Long tradeOrderLineId;
    //状态
    private String status;
    //原因
    private String reason;
    //附加信息
    private String features;
    //改变这个状态的用户
    private String changeStatusUser;
    //改变这个状态的用户id
    private Long changeStatusUserId;
    //日志编号
    private String traceId;
    //状态描述
    private String statusDesc;
    //正向状态变更还是逆向状态变更
    private String type;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 子订单号 
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     * 子订单号 
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     * 状态 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 状态 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 原因 
     * @return
     */
    public String getReason() {
        return reason;
    }
    /**
     * 原因 
     * @param reason
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 附加信息 
     * @return
     */
    public String getFeatures() {
        return features;
    }
    /**
     * 附加信息 
     * @param features
     */
    public void setFeatures(String features) {
        this.features = features;
    }

    /**
     * 改变这个状态的用户 
     * @return
     */
    public String getChangeStatusUser() {
        return changeStatusUser;
    }
    /**
     * 改变这个状态的用户 
     * @param changeStatusUser
     */
    public void setChangeStatusUser(String changeStatusUser) {
        this.changeStatusUser = changeStatusUser;
    }

    /**
     * 改变这个状态的用户id 
     * @return
     */
    public Long getChangeStatusUserId() {
        return changeStatusUserId;
    }
    /**
     * 改变这个状态的用户id 
     * @param changeStatusUserId
     */
    public void setChangeStatusUserId(Long changeStatusUserId) {
        this.changeStatusUserId = changeStatusUserId;
    }

    /**
     * 日志编号 
     * @return
     */
    public String getTraceId() {
        return traceId;
    }
    /**
     * 日志编号 
     * @param traceId
     */
    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    /**
     * 状态描述 
     * @return
     */
    public String getStatusDesc() {
        return statusDesc;
    }
    /**
     * 状态描述 
     * @param statusDesc
     */
    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }

    /**
     * 正向状态变更还是逆向状态变更 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 正向状态变更还是逆向状态变更 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "VvTradeOrderLineStatusLogEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",status=" + status +
                ",reason=" + reason +
                ",features=" + features +
                ",changeStatusUser=" + changeStatusUser +
                ",changeStatusUserId=" + changeStatusUserId +
                ",traceId=" + traceId +
                ",statusDesc=" + statusDesc +
                ",type=" + type +
                "}";
    }
}